<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (Schema::hasTable('send_email_template_packets')){
            Schema::table('send_email_template_packets', function (Blueprint $table) {
                $table->longText('packet')->change();
            });
        }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        if (Schema::hasTable('send_email_template_packets')){
            Schema::table('send_email_template_packets', function (Blueprint $table) {
                $table->text('packet')->change();
            });
        }
    }
};
